<bugID>473120<Summary>Hitting Escape in bookmark properties saves changes</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-NZ; rv:1.9.1b2) Gecko/20081201 Firefox/3.1b2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-NZ; rv:1.9.1b2) Gecko/20081201 Firefox/3.1b2

Hitting the Escape key while editing the bookmark properties will save any changes.

Reproducible: Always

Steps to Reproduce:
1.Edit a bookmark from right clicking on bookmark toolbar or bookmarks menu entry.
2.Change some text (name or URL).
3.Hit ESC
Actual Results:  
Changes to bookmark properties are saved.

Expected Results:  
Changes should be ignored.

Tested in safe mode (addons/themes disabled).</Description></bugID>